package de.hsel.itech.config;

import com.google.gson.Gson;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.ToString;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;

/**
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 */

@Getter
@ToString
@EqualsAndHashCode
public class Configuration {

    private Database database;


    public static Configuration get(String fileName) {
        Gson gson = new Gson();

        FileReader reader = null;
        try {
            reader = new FileReader(new File(fileName));
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
        assert reader != null;
        return gson.fromJson(reader, Configuration.class);
    }

}