package de.hsel.itech.db.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.time.Year;

/**
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 */

@Data
@AllArgsConstructor
public class Book {

    private int isbn;
    private Author author;
    private Publisher publisher;
    private Category category;
    private String title;
    private Year year;

    /**
     * saved in cents
     */
    private int price;
    private String description;
    private String image;



}